// File: /components/ReminderList.js

import React, { Component } from 'react';

// This is a UI component that displays a list of reminders.
class ReminderList extends Component {
constructor(props) {
  super(props);
  this.handleSubmit = this.handleSubmit.bind(this);
}

  // Handles the form submission ny invoking the "addReminderAction" callback
  handleSubmit(event) {
    event.preventDefault();
    this.props.addReminderAction(event.target.textField.value);
    event.target.textField.value = '';
  }

  // Render the list including a form to create new items
  // NB: Many example implementations would split this into several different components
  render() {
    return (
    <div>

      <form onSubmit={this.handleSubmit}>
        <input type="text" id="textField" />
        <button type="submit">Add Reminder</button>
      </form>

      <ul>
      { 
        this.props.reminders.map(reminder => (
        <li key={reminder.id}>{reminder.text} </li> 
        ))
      }
      </ul>
    </div>
    )}}

export default ReminderList