// File: /containers/ReminderListContainer.js

import { connect } from 'react-redux'
import { addReminder } from '../actions'
import ReminderList from '../components/ReminderList'

// This container handles the interface between the state store and the ReminderList component. 

// Write the state to the props that are sent to the ReminderList 
const mapStateToProps = state => {
  return {
    reminders:state.reminders
  }
}

// Set up actions that are available to the ReminderList
const mapDispatchToProps = dispatch => {
  return {
    addReminderAction: text => { dispatch(addReminder(text)) }
  }
}

// Wire up the state and dispatch methods with the component that displays the UI
const ReminderListContainer = connect(
  mapStateToProps,
  mapDispatchToProps
)(ReminderList)

export default ReminderListContainer